Summary: EXMH mail program
Name: exmh-rhcn
Version: 2.0.2
Release: 1
Requires: mh metamail
Copyright: freeware
Group: Applications/Mail
BuildArchitectures: noarch
BuildRoot: /var/tmp/exmh
Source0: http://sunscript.sun.com/dist/exmh-2.0.2.tar.Z
Source1: exmh.wmconfig
Patch1: exmh-2.0.2-conf.patch
Distribution: Red Hat Contrib-Net
Packager: Red Hat Contrib-Net <rhcn-bugs@redhat.com>
Vendor: Brent Welch <welch@acm.org>
URL: http://www.beedub.com/exmh/

%changelog

* Sat Feb 28 1998 Joel Young <jyoung@erols.com>

- rebuilt for exmh 2.0.2
- modified to use %attr and BuildRoot
- manpage is now gzipped

* Wed Dec 24 1997 Joel Young <jyoung@erols.com>

- rebuilt for exmh 2.0.1

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>

- added wmconfig support

%description
exmh is a graphical interface to the MH mail system.  exmh includes
MIME support, faces, glimpse indexing, color highlighting, PGP
interface, and more.  Requires sox (or play) for sound support.

%prep
%setup -n exmh-%{PACKAGE_VERSION}
for i in *.MASTER; do
	cp $i ${i%%.MASTER}
done
%patch1 -p1
find . -name "*.orig" -exec rm -f {} \;

%build
echo 'auto_mkindex ./lib *.tcl' | tclsh

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man1
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/exmh-%{PACKAGE_VERSION}

for i in exmh exmh-bg exmh-async ftp.expect; do
	install -m755 $i ${RPM_BUILD_ROOT}/usr/bin
done
for i in *.l; do
	install -m644 $i ${RPM_BUILD_ROOT}/usr/man/man1/${i%%.l}.1
done

cd lib
cp -ar * ${RPM_BUILD_ROOT}/usr/lib/exmh-%{PACKAGE_VERSION}

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/wmconfig
install -m644 $RPM_SOURCE_DIR/exmh.wmconfig ${RPM_BUILD_ROOT}/etc/X11/wmconfig/exmh

gzip ${RPM_BUILD_ROOT}/usr/man/man1/*

%files
%attr(-,root,root) %doc COPYRIGHT exmh.CHANGES exmh.COLORS exmh.README
%attr(-,root,root) %config /etc/X11/wmconfig/exmh
%attr(-,root,root) /usr/bin/*
%attr(-,root,root) /usr/lib/exmh-%{PACKAGE_VERSION}
%attr(-,root,root) /usr/man/man1/*

%clean
rm -rf ${RPM_BUILD_ROOT}
